Skip to main content
`Ctrl`+`K`

# TaoLineSearchRegister

Adds a line-search algorithm to the registry

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchRegister(const char sname[], PetscErrorCode (*func)(TaoLineSearch))

Not Collective, No Fortran Support

## Input Parameters

- sname - name of a new user-defined solver

- func - routine to Create method context

## Example Usage

       TaoLineSearchRegister("my_linesearch", MyLinesearchCreate);

Then, your solver can be chosen with the procedural interface via

      TaoLineSearchSetType(ls, "my_linesearch")

or at runtime via the option

      -tao_ls_type my_linesearch

## Note

`TaoLineSearchRegister()` may be called multiple times to add several user-defined solvers.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`

## Level

developer

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages